Subject: Re: [Bitcoin-development] Coinbase reallocation to discourage Finney attacks

From: Mike Hearn <[email-masked]>
Date: Wed, 23 Apr 2014 17:07:40 +0200

On Wed, Apr 23, 2014 at 4:52 PM, Justus Ranvier <[email-masked]>wrote:

> If enough miners don't like a block that has been mined, they can all
> work to orphan it without any change to the protocol whatsoever.
>

As was already pointed out, yes. However this requires them to immediate
establish a majority consensus and be absolutely sure it really is the
majority. You suggest an out of band mechanism for that, but why is this
better than using the actual consensus mechanism you're trying to measure?

> Once you've changed the network such that it is no longer a machine
> that faithfully processes scripts

Bitcoin imposes far more rules than just execution of the scripting
language, many of which are entirely arbitrary and the result of
(controversial) human judgement, like the inflation schedule. You can't
claim Bitcoin implements only some kind of natural law.